Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# DomainC.h File Reference

`#include "tao/ORB.h"`
`#include "tao/CDR.h"`
`#include "tao/Environment.h"`
`#include "tao/Object.h"`
`#include "tao/Sequence_T.h"`
`#include "tao/Objref_VarOut_T.h"`
`#include "tao/Seq_Var_T.h"`
`#include "tao/Seq_Out_T.h"`
`#include "tao/PolicyC.h"`

Include dependency graph for DomainC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | CORBA
namespace | TAO
## Defines
#define | TAO_EXPORT_MACRO TAO_Export
#define | _CORBA_DOMAINMANAGER__VAR_OUT_CH_
#define | _CORBA_DOMAINMANAGER_CH_
#define | _CORBA_CONSTRUCTIONPOLICY__VAR_OUT_CH_
#define | _CORBA_CONSTRUCTIONPOLICY_CH_
#define | _CORBA_DOMAINMANAGERLIST_CH_
#define | _CORBA_DOMAINMANAGER__TRAITS_CH_
#define | _CORBA_CONSTRUCTIONPOLICY__TRAITS_CH_
## Functions
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA::DomainManager_ptr)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::DomainManager_ptr &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::ConstructionPolicy_ptr &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA::DomainManagerList &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::DomainManagerList &)
## Variables
TAO_Export TAO::Collocation_Proxy_Broker *(* | CORBA__TAO_DomainManager_Proxy_Broker_Factory_function_pointer )(CORBA::Object_ptr obj)
TAO_Export TAO::Collocation_Proxy_Broker *(* | CORBA__TAO_ConstructionPolicy_Proxy_Broker_Factory_function_pointer )(CORBA::Object_ptr obj)

## Define Documentation

#define _CORBA_CONSTRUCTIONPOLICY__TRAITS_CH_

#define _CORBA_CONSTRUCTIONPOLICY__VAR_OUT_CH_

#define _CORBA_CONSTRUCTIONPOLICY_CH_

#define _CORBA_DOMAINMANAGER__TRAITS_CH_

#define _CORBA_DOMAINMANAGER__VAR_OUT_CH_

#define _CORBA_DOMAINMANAGER_CH_

#define _CORBA_DOMAINMANAGERLIST_CH_

#define TAO_EXPORT_MACRO TAO_Export

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const CORBA::DomainManagerList & |
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const CORBA::DomainManager_ptr |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | CORBA::DomainManagerList & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | CORBA::ConstructionPolicy_ptr & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | CORBA::DomainManager_ptr & |
| ) |

## Variable Documentation

TAO_Export TAO::Collocation_Proxy_Broker*(* CORBA__TAO_ConstructionPolicy_Proxy_Broker_Factory_function_pointer)( CORBA::Object_ptr obj )

TAO_Export TAO::Collocation_Proxy_Broker*(* CORBA__TAO_DomainManager_Proxy_Broker_Factory_function_pointer)( CORBA::Object_ptr obj )